零件工作台立方体工具

From FreeCAD Documentation
Revision as of 14:02, 8 January 2022 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어
FreeCAD.png
Next: Cylinder Part Cylinder.svg Arrow-right.svg

Part Box.svg Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

概述

利用零件工作台(Part Workbench)中的立方体命令可向处于活动状态的文档中插入一个参数化 长方体几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。

Part_Box

Usage

如何使用

  • 在零件工作台中点选立方体图标Part Box.png
  • 或者,您也可以从菜单栏中选择Part → Primitives → Cube

Result: The default result is a box with an equal length, width and height of 10 mm. It is attached to the global xy-plane and one edge is coincident with the global z-axis.

The box properties can later be edited, either in the property editor or by double-clicking on the box in the model tree.

Properties

Box

Box

  • 数据Length: 此长度参数是立方体在x轴方向上的尺寸。
  • 数据Width: 此宽度参数是立方体在y轴方向上的尺寸。
  • 数据Height: 此高度参数是立方体在z轴方向上的尺寸。

Scripting

脚本

通过下列函数即可在以及python控制台中使用立方体命令:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • 其中的"myBox"为立方体对象的标签。
  • 这段代码会返回一个新创建的立方体类型对象。

您可以访问并修改立方体对象的属性。例如,利用下列代码即可修改长度、宽度与高度参数。

box.Length = 25
box.Width = 15
box.Height = 30

您还可以通过下列代码修改立方体对象的方位:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))


FreeCAD.png
Next: Cylinder Part Cylinder.svg Arrow-right.svg